Bug 596497 (CVE-2010-1771) - CVE-2010-1771 WebKit: use-after-free vulnerability in font handling
Summary: CVE-2010-1771 WebKit: use-after-free vulnerability in font handling
Status: CLOSED WONTFIX
Alias: CVE-2010-1771
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 20:07 UTC by Vincent Danen
Modified: 2016-03-04 11:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:18:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 20:07:34 UTC
A use after free issue exists in WebKit's handling of fonts. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handing of fonts.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=39453
Trac: http://trac.webkit.org/changeset/59876

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue.

Comment 8 Jan Lieskovsky 2010-06-08 16:54:49 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.